package market.Slm.ContractManagement.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Slm.ContractManagement.mapper.SlmContractHeatInfoMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CONTRACT_HEAT_INFO", namespace=SlmContractHeatInfoMapper.class)
public class SlmContractHeatInfo extends BaseVO implements Serializable {
	/**
	 * 合同头信息
	 */
	private static final long serialVersionUID = -5534437976659240375L;
	@Id
	//主键
	private String contract_pk;
	public String  getContract_pk() {
		return this.contract_pk;
	}
	public void setContract_pk(String contract_pk) {
		this.contract_pk = contract_pk;
	}

	@Column
	//管理卡号
	private String manage_no;
	public String  getManage_no() {
		return this.manage_no;
	}
	public void setManage_no(String manage_no) {
		this.manage_no = manage_no;
	}

	@Column
	//合同号（2位-产线（01）；YYYYMMDD年月日；3位流水号（001）；2位字符记录特殊要求（JG军工））
	private String contract_no;
	public String  getContract_no() {
		return this.contract_no;
	}
	public void setContract_no(String contract_no) {
		this.contract_no = contract_no;
	}

	@Column
	//文本合同号
	private String txt_contract_no;
	public String  getTxt_contract_no() {
		return this.txt_contract_no;
	}
	public void setTxt_contract_no(String txt_contract_no) {
		this.txt_contract_no = txt_contract_no;
	}

	@Column
	//评审单号
	private String review_report_no;
	public String  getReview_report_no() {
		return this.review_report_no;
	}
	public void setReview_report_no(String review_report_no) {
		this.review_report_no = review_report_no;
	}

	@Column
	//合同类型编号(0012)
	private String contract_type_no;
	public String  getContract_type_no() {
		return this.contract_type_no;
	}
	public void setContract_type_no(String contract_type_no) {
		this.contract_type_no = contract_type_no;
	}

	@Column
	//合同类型名称
	private String contract_type_name;
	public String  getContract_type_name() {
		return this.contract_type_name;
	}
	public void setContract_type_name(String contract_type_name) {
		this.contract_type_name = contract_type_name;
	}

	@Column
	//是否为意向合同
	private String is_order_contract;
	public String  getIs_order_contract() {
		return this.is_order_contract;
	}
	public void setIs_order_contract(String is_order_contract) {
		this.is_order_contract = is_order_contract;
	}

	@Column
	//协议号
	private String protcl_no;
	public String  getProtcl_no() {
		return this.protcl_no;
	}
	public void setProtcl_no(String protcl_no) {
		this.protcl_no = protcl_no;
	}

	@Column
	//客户编号
	private String customer_no;
	public String  getCustomer_no() {
		return this.customer_no;
	}
	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}

	@Column
	//客户名称
	private String customer_name;
	public String  getCustomer_name() {
		return this.customer_name;
	}
	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}

	@Column
	//客户简称
	private String customer_abr;
	public String  getCustomer_abr() {
		return this.customer_abr;
	}
	public void setCustomer_abr(String customer_abr) {
		this.customer_abr = customer_abr;
	}

	@Column
	//合同贸易类型编号（0013）
	private String trade_type_no;
	public String  getTrade_type_no() {
		return this.trade_type_no;
	}
	public void setTrade_type_no(String trade_type_no) {
		this.trade_type_no = trade_type_no;
	}

	@Column
	//合同贸易类型名称
	private String trade_type_name;
	public String  getTrade_type_name() {
		return this.trade_type_name;
	}
	public void setTrade_type_name(String trade_type_name) {
		this.trade_type_name = trade_type_name;
	}

	@Column
	//供货单位编号
	private String supply_unit_no;
	public String  getSupply_unit_no() {
		return this.supply_unit_no;
	}
	public void setSupply_unit_no(String supply_unit_no) {
		this.supply_unit_no = supply_unit_no;
	}

	@Column
	//供货单位名称
	private String supply_unit_name;
	public String  getSupply_unit_name() {
		return this.supply_unit_name;
	}
	public void setSupply_unit_name(String supply_unit_name) {
		this.supply_unit_name = supply_unit_name;
	}

	@Column
	//供货地址
	private String supplier_address;
	public String getSupplier_address() {
		return supplier_address;
	}
	public void setSupplier_address(String supplier_address) {
		this.supplier_address = supplier_address;
	}

	@Column
	//结算单位编号
	private String balance_unit_no;
	public String  getBalance_unit_no() {
		return this.balance_unit_no;
	}
	public void setBalance_unit_no(String balance_unit_no) {
		this.balance_unit_no = balance_unit_no;
	}

	@Column
	//结算单位名称
	private String balance_unit_name;
	public String  getBalance_unit_name() {
		return this.balance_unit_name;
	}
	public void setBalance_unit_name(String balance_unit_name) {
		this.balance_unit_name = balance_unit_name;
	}

	@Column
	/*
	 * 订货单位编号
	 */
	private String order_unit_no;
	public String  getOrder_unit_no() {
		return this.order_unit_no;
	}
	public void setOrder_unit_no(String order_unit_no) {
		this.order_unit_no = order_unit_no;
	}

	@Column
	//订货单位名称
	private String order_unit_name;
	public String  getOrder_unit_name() {
		return this.order_unit_name;
	}
	public void setOrder_unit_name(String order_unit_name) {
		this.order_unit_name = order_unit_name;
	}

	@Column
	//计价方式编号（0014）
	private String price_type_no;
	public String  getPrice_type_no() {
		return this.price_type_no;
	}
	public void setPrice_type_no(String price_type_no) {
		this.price_type_no = price_type_no;
	}

	@Column
	//计价方式名称
	private String price_type_name;
	public String  getPrice_type_name() {
		return this.price_type_name;
	}
	public void setPrice_type_name(String price_type_name) {
		this.price_type_name = price_type_name;
	}

	@Column
	//合同总价（含税）
	private Double tax_total_price;
	public Double  getTax_total_price() {
		return this.tax_total_price;
	}
	public void setTax_total_price(Double tax_total_price) {
		this.tax_total_price = tax_total_price;
	}

	@Column
	//合同总价（不含税）
	private Double not_tax_total_price;
	public Double  getNot_tax_total_price() {
		return this.not_tax_total_price;
	}
	public void setNot_tax_total_price(Double not_tax_total_price) {
		this.not_tax_total_price = not_tax_total_price;
	}

	@Column
	//是否含税（1：含税；0：不含税）
	private String is_tax;
	public String  getIs_tax() {
		return this.is_tax;
	}
	public void setIs_tax(String is_tax) {
		this.is_tax = is_tax;
	}

	@Column
	//税率
	private Double tax_rate;

	@Column
	//币种编号（0015）
	private String currency_no;
	public String  getCurrency_no() {
		return this.currency_no;
	}
	public void setCurrency_no(String currency_no) {
		this.currency_no = currency_no;
	}

	@Column
	//币种名称
	private String currency_name;
	public String  getCurrency_name() {
		return this.currency_name;
	}
	public void setCurrency_name(String currency_name) {
		this.currency_name = currency_name;
	}

	@Column
	//付款方式编号（0016）
	private String payment_type_no;
	public String  getPayment_type_no() {
		return this.payment_type_no;
	}
	public void setPayment_type_no(String payment_type_no) {
		this.payment_type_no = payment_type_no;
	}

	@Column
	//付款方式名称
	private String payment_type_name;
	public String  getPayment_type_name() {
		return this.payment_type_name;
	}
	public void setPayment_type_name(String payment_type_name) {
		this.payment_type_name = payment_type_name;
	}

	@Column
	//销售组织编号
	private String sale_org_no;
	public String  getSale_org_no() {
		return this.sale_org_no;
	}
	public void setSale_org_no(String sale_org_no) {
		this.sale_org_no = sale_org_no;
	}

	@Column
	//销售组织名称
	private String sale_org_name;
	public String  getSale_org_name() {
		return this.sale_org_name;
	}
	public void setSale_org_name(String sale_org_name) {
		this.sale_org_name = sale_org_name;
	}

	@Column
	//销售区域编号
	private String sale_area_no;
	public String  getSale_area_no() {
		return this.sale_area_no;
	}
	public void setSale_area_no(String sale_area_no) {
		this.sale_area_no = sale_area_no;
	}

	@Column
	//销售区域名称
	private String sale_area_name;
	public String  getSale_area_name() {
		return this.sale_area_name;
	}
	public void setSale_area_name(String sale_area_name) {
		this.sale_area_name = sale_area_name;
	}

	@Column
	//首次受票单位
	private String frist_bill_unit;
	public String  getFrist_bill_unit() {
		return this.frist_bill_unit;
	}
	public void setFrist_bill_unit(String frist_bill_unit) {
		this.frist_bill_unit = frist_bill_unit;
	}

	@Column
	//法人代表
	private String legal_man;
	public String  getLegal_man() {
		return this.legal_man;
	}
	public void setLegal_man(String legal_man) {
		this.legal_man = legal_man;
	}

	@Column
	//委托代理人
	private String agent_man;
	public String  getAgent_man() {
		return this.agent_man;
	}
	public void setAgent_man(String agent_man) {
		this.agent_man = agent_man;
	}

	@Column
	//开户银行
	private String back;
	public String  getBack() {
		return this.back;
	}
	public void setBack(String back) {
		this.back = back;
	}

	@Column
	//公司注册地址
	private String address;
	public String  getAddress() {
		return this.address;
	}
	public void setAddress(String address) {
		this.address = address;
	}

	@Column
	//纳税人识别号
	private String tax_registra_number;
	public String  getTax_registra_number() {
		return this.tax_registra_number;
	}
	public void setTax_registra_number(String tax_registra_number) {
		this.tax_registra_number = tax_registra_number;
	}

	@Column
	//开票电话
	private String telphone;
	public String  getTelphone() {
		return this.telphone;
	}
	public void setTelphone(String telphone) {
		this.telphone = telphone;
	}

	@Column
	//账号
	private String account;
	public String  getAccount() {
		return this.account;
	}
	public void setAccount(String account) {
		this.account = account;
	}

	@Column
	//联系电话
	private String phone;
	public String  getPhone() {
		return this.phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}

	@Column
	//传真
	private String fax;
	public String  getFax() {
		return this.fax;
	}
	public void setFax(String fax) {
		this.fax = fax;
	}

	@Column
	//邮编
	private String zip_code;
	public String  getZip_code() {
		return this.zip_code;
	}
	public void setZip_code(String zip_code) {
		this.zip_code = zip_code;
	}

	@Column
	//合同年度
	private String contract_year;
	public String  getContract_year() {
		return this.contract_year;
	}
	public void setContract_year(String contract_year) {
		this.contract_year = contract_year;
	}

	@Column
	//合同范本编号
	private String contract_model_no;
	public String  getContract_model_no() {
		return this.contract_model_no;
	}
	public void setContract_model_no(String contract_model_no) {
		this.contract_model_no = contract_model_no;
	}

	@Column
	//合同范本名称
	private String contract_model_name;
	public String  getContract_model_name() {
		return this.contract_model_name;
	}
	public void setContract_model_name(String contract_model_name) {
		this.contract_model_name = contract_model_name;
	}

	@Column
	//前合同状态编号（0017）
	private String p_contract_flag_no;
	public String  getP_contract_flag_no() {
		return this.p_contract_flag_no;
	}
	public void setP_contract_flag_no(String p_contract_flag_no) {
		this.p_contract_flag_no = p_contract_flag_no;
	}

	@Column
	//前合同状态名称
	private String p_contract_flag_name;
	public String  getP_contract_flag_name() {
		return this.p_contract_flag_name;
	}
	public void setP_contract_flag_name(String p_contract_flag_name) {
		this.p_contract_flag_name = p_contract_flag_name;
	}

	@Column
	//合同状态编号（0017）
	private String contract_flag_no;
	public String  getContract_flag_no() {
		return this.contract_flag_no;
	}
	public void setContract_flag_no(String contract_flag_no) {
		this.contract_flag_no = contract_flag_no;
	}

	@Column
	//合同状态名称
	private String contract_flag_name;
	public String  getContract_flag_name() {
		return this.contract_flag_name;
	}
	public void setContract_flag_name(String contract_flag_name) {
		this.contract_flag_name = contract_flag_name;
	}

	@Column
	//生效人编号
	private String effect_man_no;
	public String  getEffect_man_no() {
		return this.effect_man_no;
	}
	public void setEffect_man_no(String effect_man_no) {
		this.effect_man_no = effect_man_no;
	}

	@Column
	//生效人姓名
	private String effect_man_name;
	public String  getEffect_man_name() {
		return this.effect_man_name;
	}
	public void setEffect_man_name(String effect_man_name) {
		this.effect_man_name = effect_man_name;
	}

	@Column
	//结案人编号
	private String close_man_no;
	public String  getClose_man_no() {
		return this.close_man_no;
	}
	public void setClose_man_no(String close_man_no) {
		this.close_man_no = close_man_no;
	}

	@Column
	//结案人姓名
	private String close_man_name;
	public String  getClose_man_name() {
		return this.close_man_name;
	}
	public void setClose_man_name(String close_man_name) {
		this.close_man_name = close_man_name;
	}

	@Column
	//定价方式编号（0018）
	private String make_price_type_no;
	public String  getMake_price_type_no() {
		return this.make_price_type_no;
	}
	public void setMake_price_type_no(String make_price_type_no) {
		this.make_price_type_no = make_price_type_no;
	}

	@Column
	//定价方式名称
	private String make_price_type_name;
	public String  getMake_price_type_name() {
		return this.make_price_type_name;
	}
	public void setMake_price_type_name(String make_price_type_name) {
		this.make_price_type_name = make_price_type_name;
	}

	@Column
	//打印人姓名
	private String print_man_no;

	@Column
	//打印人姓名
	private String print_man_name;

	@Column
	//运输方案编号
	private String solutions_no;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//交货日期
	private Date deliver_date;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//打印时间
	private Date print_time;
	public Date  getPrint_time() {
		return this.print_time;
	}
	public void setPrint_time(Date print_time) {
		this.print_time = print_time;
	}

	@Column
	//打印次数
	private Integer print_num;
	public Integer  getPrint_num() {
		return this.print_num;
	}
	public void setPrint_num(Integer print_num) {
		this.print_num = print_num;
	}

	@Column
	//当地法律法规
	private String local_law;
	public String  getLocal_law() {
		return this.local_law;
	}
	public void setLocal_law(String local_law) {
		this.local_law = local_law;
	}

	@Column
	//合同头控制付款比例
	private String is_control_payment;
	public String  getIs_control_payment() {
		return this.is_control_payment;
	}
	public void setIs_control_payment(String is_control_payment) {
		this.is_control_payment = is_control_payment;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//签定日期
	private Date sign_date;
	public Date  getSign_date() {
		return this.sign_date;
	}
	public void setSign_date(Date sign_date) {
		this.sign_date = sign_date;
	}

	@Column
	//签定地点
	private String sign_address;
	public String  getSign_address() {
		return this.sign_address;
	}
	public void setSign_address(String sign_address) {
		this.sign_address = sign_address;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//有效开始日期
	private Date effec_start_date;
	public Date  getEffec_start_date() {
		return this.effec_start_date;
	}
	public void setEffec_start_date(Date effec_start_date) {
		this.effec_start_date = effec_start_date;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//有效结束日期
	private Date effec_end_date;
	public Date  getEffec_end_date() {
		return this.effec_end_date;
	}
	public void setEffec_end_date(Date effec_end_date) {
		this.effec_end_date = effec_end_date;
	}

	@Column
	//备注
	private String memo;
	public String  getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	@Column
	//有效标志
	private String valid_flag;
	public String  getValid_flag() {
		return this.valid_flag;
	}
	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	@Column
	//创建人编号
	private String create_man_no;
	public String  getCreate_man_no() {
		return this.create_man_no;
	}
	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	@Column
	//创建人姓名
	private String create_man_name;
	public String  getCreate_man_name() {
		return this.create_man_name;
	}
	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;
	public Date  getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	@Column
	//修改人编号
	private String update_man_no;
	public String  getUpdate_man_no() {
		return this.update_man_no;
	}
	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	@Column
	//修改人姓名
	private String update_man_name;
	public String  getUpdate_man_name() {
		return this.update_man_name;
	}
	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;
	public Date  getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	@Column
	//删除人编号
	private String delete_man_no;
	public String  getDelete_man_no() {
		return this.delete_man_no;
	}
	public void setDelete_man_no(String delete_man_no) {
		this.delete_man_no = delete_man_no;
	}

	@Column
	//删除人姓名
	private String delete_man_name;
	public String  getDelete_man_name() {
		return this.delete_man_name;
	}
	public void setDelete_man_name(String delete_man_name) {
		this.delete_man_name = delete_man_name;
	}

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	
	@Column
	//是否已经有资金占用 0未有 1已有
	private String have_control;

	//合同行总重量
	private Double total_weight;

	//所有合同头重量的总和
	private Double all_weight;

	//合同头总价格(含税)
	private Double all_tax_price;

	//合同头总价格(不含税)
	private Double all_not_tax_price;

	//计量单位编号
	private String estimate_weight_unit_no;

	//计量单位
	private String estimate_weight_unit_name;

	//合同量
	private Double contract_weight;

	//排产量
	private Double order_weight;

	//发货量
	private Double bill_weight;

	//结算量
	private Double settle_weight;

	//重量是否已全部新增订单  0未用尽 1已用尽
	private String finish_status;

	//付款类型编号
	private String payment_ratio_type_no;

	//付款类型名称
	private String payment_ratio_type_name;

	public Date  getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	public String getPrint_man_no() {
		return print_man_no;
	}
	public void setPrint_man_no(String printManNo) {
		print_man_no = printManNo;
	}
	public String getPrint_man_name() {
		return print_man_name;
	}
	public void setPrint_man_name(String printManName) {
		print_man_name = printManName;
	}
	public void setTax_rate(Double tax_rate) {
		this.tax_rate = tax_rate;
	}
	public Double getTax_rate() {
		return tax_rate;
	}
	public String getSolutions_no() {
		return solutions_no;
	}
	public void setSolutions_no(String solutions_no) {
		this.solutions_no = solutions_no;
	}
	public Date getDeliver_date() {
		return deliver_date;
	}
	public void setDeliver_date(Date deliver_date) {
		this.deliver_date = deliver_date;
	}
	public Double getTotal_weight() {
		return total_weight;
	}
	public void setTotal_weight(Double total_weight) {
		this.total_weight = total_weight;
	}
	public Double getAll_weight() {
		return all_weight;
	}
	public void setAll_weight(Double all_weight) {
		this.all_weight = all_weight;
	}
	public Double getAll_tax_price() {
		return all_tax_price;
	}
	public void setAll_tax_price(Double all_tax_price) {
		this.all_tax_price = all_tax_price;
	}
	public Double getAll_not_tax_price() {
		return all_not_tax_price;
	}
	public void setAll_not_tax_price(Double all_not_tax_price) {
		this.all_not_tax_price = all_not_tax_price;
	}
	public String getEstimate_weight_unit_no() {
		return estimate_weight_unit_no;
	}
	public void setEstimate_weight_unit_no(String estimate_weight_unit_no) {
		this.estimate_weight_unit_no = estimate_weight_unit_no;
	}
	public String getEstimate_weight_unit_name() {
		return estimate_weight_unit_name;
	}
	public void setEstimate_weight_unit_name(String estimate_weight_unit_name) {
		this.estimate_weight_unit_name = estimate_weight_unit_name;
	}
	public Double getContract_weight() {
		return contract_weight;
	}
	public void setContract_weight(Double contract_weight) {
		this.contract_weight = contract_weight;
	}
	public Double getOrder_weight() {
		return order_weight;
	}
	public void setOrder_weight(Double order_weight) {
		this.order_weight = order_weight;
	}
	public Double getBill_weight() {
		return bill_weight;
	}
	public void setBill_weight(Double bill_weight) {
		this.bill_weight = bill_weight;
	}
	public Double getSettle_weight() {
		return settle_weight;
	}
	public void setSettle_weight(Double settle_weight) {
		this.settle_weight = settle_weight;
	}
	public String getFinish_status() {
		return finish_status;
	}
	public void setFinish_status(String finish_status) {
		this.finish_status = finish_status;
	}
	public String getPayment_ratio_type_no() {
		return payment_ratio_type_no;
	}
	public void setPayment_ratio_type_no(String payment_ratio_type_no) {
		this.payment_ratio_type_no = payment_ratio_type_no;
	}
	public String getPayment_ratio_type_name() {
		return payment_ratio_type_name;
	}
	public void setPayment_ratio_type_name(String payment_ratio_type_name) {
		this.payment_ratio_type_name = payment_ratio_type_name;
	}
	public String getHave_control() {
		return have_control;
	}
	public void setHave_control(String have_control) {
		this.have_control = have_control;
	}
	
	//======eason add 2019-07-09===========
	private List<SlmContractLineInfo> line;
	public List<SlmContractLineInfo> getLine() {
		return line;
	}
	public void setLine(List<SlmContractLineInfo> line) {
		this.line = line;
	}
}
